%define LNG pl
%define releasedate 28-06-2007

Summary:	Man pages in polish language
Name:		man-pages-%LNG
Version:	0.6
Release:	%mkrel 10
License:	GPL
Group:		System/Internationalization
# There is not valid URL
Source:		man-PL%{releasedate}.tar.bz2
#URL:		http://ptm.linux.pl
BuildRequires:	man
Requires:	locales-%LNG, man
Requires(pre):	sed grep man
Obsoletes:	man-%LNG, manpages-%LNG
Provides:	man-%LNG, manpages-%LNG
Autoreqprov:	false
BuildArch:	noarch

%description
A collection of man pages for Linux in polish language.


%prep
%setup -qn pl_PL

%build
for i in 1 2 3 4 5 6 7 8 9 n; do
        rm -rf man$i/CVS
done

sh ./autogen.sh

%make

%install
mkdir -p %{buildroot}%{_mandir}/%LNG/

for i in 1 2 3 4 5 6 7 8 9 n; do
	cp -adpvrf man$i %{buildroot}%{_mandir}/%LNG/
done

# those files conflict whith rpm package
#rm %{buildroot}%{_mandir}/pl/man{1/gendiff.1,8/rpm{2cpio,,build,cache,deps,graph}.8}

# those files conflict whith dpkg package
#rm %{buildroot}%{_mandir}/pl/man{1/dpkg-deb.1,8/dpkg{-split,}.8}

# spechelper fails here!!!
#find %{buildroot}/%_mandir -type f -exec bzip2 -9f {} \;

LANG=%LNG DESTDIR=%{buildroot} %{_sbindir}/makewhatis %{buildroot}%{_mandir}/%LNG

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron << EOF
#!/bin/bash
LANG=%LNG %{_sbindir}/makewhatis %{_mandir}/%LNG
exit 0
EOF

chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron

mkdir -p  %{buildroot}/var/cache/man/%LNG

touch %{buildroot}/var/cache/man/%LNG/whatis

# these are provided by vim7:
#rm -f %{buildroot}%{_mandir}/%LNG/man1/{evim.,ex.,{,r}{view,vim}.,vimdiff,vimtutor}*

%post
%create_ghostfile /var/cache/man/%LNG/whatis root root 644

%files
%doc FAQ ChangeLog readme.english
%dir %{_mandir}/%LNG
%dir /var/cache/man/%LNG
%ghost %config(noreplace) /var/cache/man/%LNG/whatis
%{_mandir}/%LNG/man*
%{_mandir}/%LNG/whatis
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.6-10.mga3
+ Revision: 359398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 0.6-9.mga2
+ Revision: 199422
- disable URL, there is no valid one (mga#3035)
- disable server location in SOURCES
- clean .spec

* Tue Jan 11 2011 ahmad <ahmad> 0.6-8.mga1
+ Revision: 5912
- drop old conflicts
- drop old versionated man requires, just 'man' is enough now
- imported package man-pages-pl

